### Method

# Gtk Viewportscroll_to

since: 4.12

#### Declaration [src]

    void
    gtk_viewport_scroll_to (
      GtkViewport* viewport,
      GtkWidget* descendant,
      GtkScrollInfo* scroll
    )

#### Description [src]

Scrolls a descendant of the viewport into view.

The viewport and the descendant must be visible and mapped for this function to work, otherwise no scrolling will be performed.

Available since: 4.12

#### Parameters

`descendant`

  Type: `GtkWidget`

  A descendant widget of the viewport.

  The data is owned by the caller of the method.

`scroll`

  Type: `GtkScrollInfo`

  Details of how to perform the scroll operation or NULL to scroll into view.

  The argument can be `NULL`.
  The instance takes ownership of the data, and is responsible for freeing it.